> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/installation-setup/installation/microsoft-iis/thdyth-trqyh.md).

# تحديث / ترقية

{% hint style="danger" %}
قبل إجراء أي ترقيات، تأكد من التحقق من أن تاريخ الصيانة لديك أحدث من تاريخ إصدار نسخة ngSurvey التي ترغب في الترقية إليها. يمكنك العثور على تاريخ الصيانة الحالي في قسم Configuration / About ضمن إعداداتك.\
\
كما تأكد من أخذ نسخة احتياطية من أي ملفات موجودة، بما في ذلك قاعدة بيانات، قبل متابعة عملية الترقية.
{% endhint %}

لترقية تثبيت موجود لـ ngSurvey، يمكنك اتباع الخطوات التالية

1. قم بتنزيل أحدث إصدار من [هنا](https://www.ngsurvey.com/on-premise-download).
2. تأكد من أن لديك أحدث [.NET 10 Hosting bundle](https://dotnet.microsoft.com/en-us/download/dotnet/thank-you/runtime-aspnetcore-10.0.2-windows-hosting-bundle-installer) مثبّتًا.
3. قم بعمل نسخة من ملف web.config الخاص بمجلد IIS ngSurey، وأخذ نسخة احتياطية من قاعدة بياناتك وملفاتك.
4. احذف جميع الملفات في مجلد IIS ngSurvey الحالي لديك.
5. فك ضغط الإصدار الجديد الذي تم تنزيله في الخطوة 1 إلى مجلد IIS ngSurvey لديك.
6. انسخ ملف web.config مرة أخرى إلى مجلد IIS الذي قمت بأخذ نسخة احتياطية له في الخطوة 2.
7. هذا كل شيء، لقد تمت ترقية ngSurvey لديك إلى أحدث إصدار.

{% hint style="info" %}
بمجرد استبدال جميع الملفات، سيقوم ngSurvey تلقائيًا بترقية قاعدة بيانات ngSurvey التي تم تكوينها في web.config الخاص بك.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/microsoft-iis/thdyth-trqyh.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
